Subject: [quicwg/base-drafts] Section 9.4: Contains a mixture of transport and congestion control functions (#2684)

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 10 May 2019 00:59:11 -0700

Section 9.4 contains a mixture of transport (handling migration, setup, etc) and congestion control functions (choice of path parameters - RTO, window, etc). 

The abstract suggests that these are a part of QUIC Recovery ID, which seems correct to me. So, I would like to discuss if these are intentionally a part of the transport spec, rather than the Loss Detection & Congestion Control Spec.? 

Specifically, para 1,2 : "... SHOULD NOT contribute to congestion control or RTT estimation for the new path." and "...  SHOULD immediately reset ...."  - Where the ID could note whatever transport implementors need to be aware of, but point normatively to the QUIC Recovery ID for RFC2119 language.

Para 3: "An endpoint MUST NOT return to the send rate..." seems a reasonable thing to note, but also, I think, should point to QUIC Recovery ID.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/2684

---

From: Lars Eggert <[email-masked]>
Date: Wed, 22 May 2019 07:57:24 -0700

Discussed in London: @gorryfair to work with @janaiyengar to propose an editorial PR

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/2684#issuecomment-494839717